import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Echo226/d58e972330148cb6e55c8d4ab2496215/raw/f8530749daadec870f1058efff76311f3d714046/busiest_airports_Top5.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {

    const row = d => {
      d.DEP_DELAY = +d.DEP_DELAY;
      d.DELAY = +d.DELAY;
      d.DEP_DEL15 = +d.DEP_DEL15;
      d.CANCELLED = +d.CANCELLED;
      d.DATE = new Date(d.DATE);
      d.AIRPORT = d.ORIGIN;
      
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};